<div class="columns">
  <div class="column">
    <div class="heading">
      <h1 class="title">Benutzer</h1>
    </div>
  </div>
</div>

<div>
  <table class="table">
    <thead>
      <tr>
        <th>ID</th>
        <th>Name</th>
        <th>Passwort</th>
        <th>Api Key</th>
        <th>Aktionen</th>
      </tr>
    </thead>
    <tbody>
      <tr ng-repeat="user in vm.users">
        <td>{{user.id}}</td>
        <td>{{user.name}}</td>
        <td>{{user.password}}</td>
        <td>{{user.apiKey}}</td>
        <td>
          <div class="btn-group" role="group" aria-label="aktionen">
            <button type="button"
                    class="button is-small"
                    ng-click="vm.openCreationForm('updating', user)">
              <i class="fa fa-pencil" aria-hidden="true"></i>
            </button>
            <button type="button"
                    class="button is-small is-danger"
                    ng-click="vm.removeUser($index, user);">
              <i class="fa fa-times" aria-hidden="true"></i>
            </button>
          </div>
        </td>
      </tr>
    </tbody>
  </table>
</div>

<div class="columns">
  <div class="column">
    <p class="control has-addons">
      <a class="button is-primary has-addons"
         ng-click="vm.openCreationForm('creating')"
         ng-hide="vm.editable">
        <span class="icon is-small">
          <i class="fa {{vm.isVisible ? 'fa-minus' : 'fa-plus'}}"></i>
        </span>
        <span>
          {{vm.isVisible ? 'Formular schließen' : 'Benutzer hinzufügen'}}
        </span>
      </a>
    </p>
  </div>
</div>

<hr>

<fa-user-form visible="vm.isVisible"
              creating="vm.creating"
              updating="vm.updating"
              user="vm.selectedUser">
</fa-user-form>
